Package org.mariadb.jdbc.plugin.authentication

## Class AuthenticationPluginLoader

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.AuthenticationPluginLoader

    public final class AuthenticationPluginLoader
    extends Object

permit loading authentication plugins

### Constructor Summary

Constructors
`AuthenticationPluginLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AuthenticationPlugin` `get​(String type, Configuration conf)` Get authentication plugin from type String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationPluginLoader

    public AuthenticationPluginLoader()

### Method Detail

#### get

    public static AuthenticationPlugin get​(String type,
                                           Configuration conf)
                                    throws SQLException

Get authentication plugin from type String. Customs authentication plugin can be added implementing AuthenticationPlugin and registering new type in resources services.

Parameters:
  `type` - authentication plugin type
  `conf` - current configuration
Returns:
  Authentication plugin corresponding to type
Throws:
  `SQLException` - if no authentication plugin in classpath have indicated type